com.sleepycat.db

## Class ReplicationManagerConnectionStatus

- java.lang.Object
- - com.sleepycat.db.ReplicationManagerConnectionStatus

- All Implemented Interfaces:
    java.lang.Cloneable

      public final class ReplicationManagerConnectionStatus
      extends java.lang.Object
      implements java.lang.Cloneable

  Describes the connection status of a replication site. Returned from the `ReplicationManagerSiteInfo.getConnectionStatus()` method.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ReplicationManagerConnectionStatus` | `CONNECTED` The site is connected.
    `static ReplicationManagerConnectionStatus` | `DISCONNECTED` The site is disconnected.
    `static ReplicationManagerConnectionStatus` | `UNKNOWN` The connection status cannot be determined.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CONNECTED

          public static final ReplicationManagerConnectionStatus CONNECTED

      The site is connected.

    - #### DISCONNECTED

          public static final ReplicationManagerConnectionStatus DISCONNECTED

      The site is disconnected.

    - #### UNKNOWN

          public static final ReplicationManagerConnectionStatus UNKNOWN

      The connection status cannot be determined.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright (c) 1996, 2017 Oracle and/or its affiliates. All rights reserved.